Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_DIOP_Transport Class Reference

Specialization of the base TAO_Transport class to handle the DIOP protocol. More...

`#include <DIOP_Transport.h>`

Inheritance diagram for TAO_DIOP_Transport

[legend]
Collaboration diagram for TAO_DIOP_Transport:

[legend]
List of all members.

## Public Methods
| TAO_DIOP_Transport (TAO_DIOP_Connection_Handler *handler, TAO_ORB_Core *orb_core, CORBA::Boolean flag)
| Constructor.
| ~TAO_DIOP_Transport (void)
| Default destructor.
virtual int | handle_input_i (TAO_Resume_Handle &rh, ACE_Time_Value *max_wait_time = 0, int block = 0)
| Look for the documentation in Transport.h.
virtual int | send_request (TAO_Stub *stub, TAO_ORB_Core *orb_core, TAO_OutputCDR &stream, int twoway, ACE_Time_Value *max_wait_time)
| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. More...
virtual int | send_message (TAO_OutputCDR &stream, TAO_Stub *stub = 0, int twoway = 1, ACE_Time_Value *max_time_wait = 0)
virtual int | messaging_init (CORBA::Octet major, CORBA::Octet minor)
| Initialising the messaging object.
## Protected Methods
virtual ACE_Event_Handler* | event_handler_i (void)
virtual TAO_Pluggable_Messaging* | messaging_object (void)
virtual ssize_t | send_i (iovec *iov, int iovcnt, size_t &bytes_transferred, const ACE_Time_Value *max_wait_time)
| Write the complete Message_Block chain to the connection.
virtual ssize_t | recv_i (char *buf, size_t len, const ACE_Time_Value *s = 0)
| Read len bytes from into buf.
virtual int | register_handler_i (void)
virtual void | transition_handler_state_i (void)
| Method to do whatever it needs to do when the connection handler is being closed and destroyed.
## Private Attributes
TAO_DIOP_Connection_Handler* | connection_handler_
| The connection service handler used for accessing lower layer communication protocols.
TAO_Pluggable_Messaging* | messaging_object_
| Our messaging object.

## Detailed Description

Specialization of the base TAO_Transport class to handle the DIOP protocol.

## Constructor & Destructor Documentation

TAO_DIOP_Transport::TAO_DIOP_Transport ( | TAO_DIOP_Connection_Handler * handler,
| TAO_ORB_Core * orb_core,
| CORBA::Boolean flag )

| Constructor.

TAO_DIOP_Transport::~TAO_DIOP_Transport ( | void )

| Default destructor.

## Member Function Documentation

ACE_Event_Handler * TAO_DIOP_Transport::event_handler_i ( | void )`[protected, virtual]`

| Reimplemented from TAO_Transport.

int TAO_DIOP_Transport::handle_input_i ( | TAO_Resume_Handle & rh,
| ACE_Time_Value * max_wait_time = 0,
| int block = 0 )`[virtual]`

| Look for the documentation in Transport.h. Reimplemented from TAO_Transport.

int TAO_DIOP_Transport::messaging_init ( | CORBA::Octet major,
| CORBA::Octet minor )`[virtual]`

| Initialising the messaging object. Reimplemented from TAO_Transport.

TAO_Pluggable_Messaging * TAO_DIOP_Transport::messaging_object ( | void )`[protected, virtual]`

| Reimplemented from TAO_Transport.

ssize_t TAO_DIOP_Transport::recv_i ( | char * buf,
| size_t len,
| const ACE_Time_Value * s = 0 )`[protected, virtual]`

| Read len bytes from into buf. Reimplemented from TAO_Transport.

int TAO_DIOP_Transport::register_handler_i ( | void )`[protected, virtual]`

| Reimplemented from TAO_Transport.

ssize_t TAO_DIOP_Transport::send_i ( | iovec * iov,
| int iovcnt,
| size_t & bytes_transferred,
| const ACE_Time_Value * max_wait_time )`[protected, virtual]`

| Write the complete Message_Block chain to the connection. Reimplemented from TAO_Transport.

int TAO_DIOP_Transport::send_message ( | TAO_OutputCDR & stream,
| TAO_Stub * stub = 0,
| int twoway = 1,
| ACE_Time_Value * max_time_wait = 0 )`[virtual]`

| Reimplemented from TAO_Transport.

int TAO_DIOP_Transport::send_request ( | TAO_Stub * stub,
| TAO_ORB_Core * orb_core,
| TAO_OutputCDR & stream,
| int twoway,
| ACE_Time_Value * max_wait_time )`[virtual]`

| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. @ Reimplemented from TAO_Transport.

void TAO_DIOP_Transport::transition_handler_state_i ( | void )`[protected, virtual]`

| Method to do whatever it needs to do when the connection handler is being closed and destroyed. Reimplemented from TAO_Transport.

## Member Data Documentation

TAO_DIOP_Connection_Handler * TAO_DIOP_Transport::connection_handler_`[private]`

| The connection service handler used for accessing lower layer communication protocols.

TAO_Pluggable_Messaging * TAO_DIOP_Transport::messaging_object_`[private]`

| Our messaging object.

The documentation for this class was generated from the following file:

- DIOP_Transport.h